package com.ag.demo.entity;

import com.ag.base.ISerializable;

import java.util.Date;

public class WFile implements ISerializable {
    private static final long serialVersionUID = 981068428519373366L;

    private String id;
    /**
     * 业务类型
     */
    private String tName;
    /**
     * 业务表主键
     */
    private String tId;
    /**
     * 原始文件名
     */
    private String fName;
    /**
     * 保存路径
     */
    private String fPath;

    private String createdBy;

    private Date createdOn;

    private String tenancyId;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTName() {
        return tName;
    }

    public void setTName(String tName) {
        this.tName = tName;
    }

    public String getTId() {
        return tId;
    }

    public void setTId(String tId) {
        this.tId = tId;
    }

    public String getFName() {
        return fName;
    }

    public void setFName(String fName) {
        this.fName = fName;
    }

    public String getFPath() {
        return fPath;
    }

    public void setFPath(String fPath) {
        this.fPath = fPath;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedOn() {
        return createdOn;
    }

    public void setCreatedOn(Date createdOn) {
        this.createdOn = createdOn;
    }

    public String getTenancyId() {
        return tenancyId;
    }

    public void setTenancyId(String tenancyId) {
        this.tenancyId = tenancyId;
    }

}